Creates a portable session for a legacy file or an explicit Source tree selection.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://example.com/api/workspace/file-protection/recovery-points/example/restore-sessions"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("{ \"RecoveryItemId\": \"example\", \"Selection\": { \"Mode\": 1, \"ItemIds\": [ \"example\" ] } }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/file-protection/recovery-points/example/restore-sessions';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"RecoveryItemId":"example","Selection":{"Mode":1,"ItemIds":["example"]}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspace/file-protection/recovery-points/example/restore-sessions \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "RecoveryItemId": "example", "Selection": { "Mode": 1, "ItemIds": [ "example" ] } }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”Creates an expiring portable restore session for one exact item.
object
Identifiers are resolved only against the selected point’s complete inventory.
object
Output selection within a Source; it is not a cryptographic access boundary.
Creates an expiring portable restore session for one exact item.
object
Identifiers are resolved only against the selected point’s complete inventory.
object
Output selection within a Source; it is not a cryptographic access boundary.
Creates an expiring portable restore session for one exact item.
object
Identifiers are resolved only against the selected point’s complete inventory.
object
Output selection within a Source; it is not a cryptographic access boundary.
Responses
Section titled “Responses”OK
object
Created restore session and portable descriptor.
object
Explicit versioned union under the existing Descriptor JSON member.
object
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}